Bug 160263 - Rescue mode using PXE boot & NFS of rescue cd iso fails
Rescue mode using PXE boot & NFS of rescue cd iso fails
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2005-06-13 18:03 EDT by Jon Burgess
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-06-16 16:10:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jon Burgess 2005-06-13 18:03:00 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.0.4-1.3.1 Firefox/1.0.4

Description of problem:

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Setup a PXE server with the vmlinuz and initrd.img files from the rescue CD
2. PXE boot a machine and load up the rescue cd kernel/initrd. 
3. Export a direcotry with the FC4-i386-rescuecd.iso on an NFS server
4. Select this server as the cd image source.


Actual Results:  The install reports that this is not a valid installation source.

Anaconda finds the ISO image but rejects it because if doesn't contain the hdstg2.img. Looking at the Anaconda source, it looks like method.c validIsoImages() is the code which is looking for the hdstg2.img file in order to validate the cd image, but this isn't on the rescue CD (it only has stage2.img).

Here are the debug messages...

mounting nfs
mounted on /mnt/source
unable to access /nmt/source/Fedora/base/stage2.img
mntloop loop7 on /tmp/loopimage as /mnt/source/FC4-i386-rescuecd.iso fd is 15
open file to loop mount /tmp/loopimage/Fedora/base/hdstg2.img failed

Expected Results:  I know this is an obscure case, but it ought to be possible to boot the rescue CD via PXE + NFS ISO image.

Additional info:

I think i've done more or less the same process with fc3 and it worked OK. I think the key difference was that I also had all the install media CD's on the NFS server at the same time and these do have the hdstg2.img on them which made the check pass. I imagine that if I placed the install CD iso's in the same place this would work with fc4 as well.

I've also burned the rescue CD to real CD media and this boots fine, so it isn't a fundamental problem with the PC.
Comment 1 Jeremy Katz 2005-06-16 16:10:13 EDT
The rescuecd isn't a valid "disc1" which we require for pulling the stage2.img from.

Note You need to log in before you can comment on or make changes to this bug.